---
sidebar_position: 3
description: Get calendar event and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get calendar event
 Gets a calendar event by ID



`Function GetCalendarEvent(Val URL, Val EventID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | EventID | --event | Number | &#x2714; | Event ID to retrieve |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [calendar.event.getbyid](https://apidocs.bitrix24.ru/api-reference/calendar/calendar-event/calendar-event-get-by-id.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL     = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    EventID = "3296";

    Result = OPI_Bitrix24.GetCalendarEvent(URL, EventID);

    URL     = "b24-ar17wx.bitrix24.by";
    Token   = "6ad03969006e9f06006b12e400000001000...";
    EventID = "3300";

    Result = OPI_Bitrix24.GetCalendarEvent(URL, EventID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetCalendarEvent \
             --url "b24-ar17wx.bitrix24.by" \
             --event 3308 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetCalendarEvent ^
             --url "b24-ar17wx.bitrix24.by" ^
             --event 3308 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "ID": "3308",
  "PARENT_ID": "3308",
  "DELETED": "N",
  "CAL_TYPE": "user",
  "OWNER_ID": "1",
  "NAME": "New event",
  "DATE_FROM": "11.12.2025 20:03:00",
  "DATE_TO": "11.12.2025 21:03:00",
  "ORIGINAL_DATE_FROM": "***",
  "TZ_FROM": "Europe/Minsk",
  "TZ_TO": "Europe/Minsk",
  "TZ_OFFSET_FROM": "10800",
  "TZ_OFFSET_TO": "10800",
  "DATE_FROM_TS_UTC": "1765461797",
  "DATE_TO_TS_UTC": "1768068180",
  "DT_SKIP_TIME": "N",
  "DT_LENGTH": 3600,
  "EVENT_TYPE": null,
  "CREATED_BY": "1",
  "DATE_CREATE": "10.12.2025 23:03:21",
  "TIMESTAMP_X": "10.12.2025 23:03:21",
  "DESCRIPTION": "Event description",
  "PRIVATE_EVENT": "1",
  "ACCESSIBILITY": "quest",
  "IMPORTANCE": "normal",
  "IS_MEETING": true,
  "MEETING_STATUS": "H",
  "MEETING_HOST": "1",
  "MEETING": {
   "HOST_NAME": "Антон Титовец",
   "NOTIFY": true,
   "REINVITE": "***",
   "ALLOW_INVITE": "***",
   "HIDE_GUESTS": true,
   "MEETING_CREATOR": 1,
   "LANGUAGE_ID": "ru",
   "MAIL_FROM": false
  },
  "LOCATION": "Office",
  "REMIND": [
   {
    "type": "day",
    "count": 1
   }
  ],
  "COLOR": "#230000",
  "RRULE": {
   "FREQ": "DAILY",
   "COUNT": 3,
   "INTERVAL": 10,
   "UNTIL": "21.12.2025",
   "~UNTIL": "21.12.2025",
   "UNTIL_TS": 1766275200
  },
  "EXDATE": "",
  "DAV_XML_ID": "20251211T170300Z-093c568f2c5f10c7891ad40826f5b43b@b24-ar17wx.bitrix24.by",
  "G_EVENT_ID": "",
  "DAV_EXCH_LABEL": "",
  "CAL_DAV_LABEL": "",
  "VERSION": "1",
  "ATTENDEES_CODES": [
   "***",
   "***"
  ],
  "RECURRENCE_ID": null,
  "RELATIONS": "",
  "SECTION_ID": "1780",
  "SYNC_STATUS": null,
  "UF_CRM_CAL_EVENT": false,
  "UF_WEBDAV_CAL_EVENT": false,
  "SECTION_DAV_XML_ID": null,
  "DATE_FROM_FORMATTED": "Thu Dec 11 2025 20:03:00",
  "DATE_TO_FORMATTED": "Thu Dec 11 2025 21:03:00",
  "IS_DAYLIGHT_SAVING_TZ": "N",
  "SECT_ID": "1780",
  "OPTIONS": null,
  "ATTENDEE_LIST": [
   {
    "id": 1,
    "entryId": "3308",
    "status": "H"
   },
   {
    "id": 10,
    "entryId": "3310",
    "status": "Q"
   }
  ],
  "COLLAB_ID": null,
  "~RRULE_DESCRIPTION": "каждый 10-й день, от 11.12.2025 до 21.12.2025",
  "attendeesEntityList": [
   {
    "entityId": "user",
    "id": 1
   },
   {
    "entityId": "user",
    "id": 10
   }
  ],
  "~DESCRIPTION": "Event description",
  "~USER_OFFSET_FROM": 0,
  "~USER_OFFSET_TO": 0
 },
 "time": {
  "start": 1765397016,
  "finish": 1765397016.60366,
  "duration": 0.603655099868774,
  "processing": 0,
  "date_start": "2025-12-10T20:03:36+00:00",
  "date_finish": "2025-12-10T20:03:36+00:00",
  "operating_reset_at": 1765397616,
  "operating": 0
 }
}
```
